# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'smartling_xcode/version'

Gem::Specification.new do |spec|
  spec.name          = "smartling_xcode"
  spec.version       = SmartlingXcode::VERSION
  spec.authors       = ["Emilien Huet"]
  spec.email         = ["ehuet@smartling.com"]

  spec.summary       = %q{Smartling utility to extract strings from an Xcode project and add them to a Smartling project.}
  spec.homepage      = "https://github.com/Smartling/api-sdk-xcode"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files`.split($\)
  spec.bindir        = "bin"
  spec.executables   = ["smartling_xcode"]
  spec.require_paths = ["lib"]

  spec.add_dependency "xcodeproj", ">= 1.1"
  spec.add_dependency "json", ">= 1.8.1"
  spec.add_dependency "smartling", ">= 2.0.0"

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
