Smartling utility to extract strings from an Xcode project and add them to a Smartling project.

# Installation
```
$ gem install smartling_xcode
```

# Usage
```
smartling_xcode command [project path]
smartling_xcode -h/--help
smartling_xcode -v/--version
```

# Commands
* `init` Configure the current folder with Smartling project credentials to be able to push strings.
* `extract` Extract all strings from the Xcode project and print out the list of .strings files.
* `push` Extract all strings from the Xcode project and send them to your Smartling project.

# Options
`[project path]` Specify a path for the Xcode project. Uses the first .xcodeproj file in the current directory by default.
